
import numpy as np
import pandas as pd
data=pd.read_csv(r'hypothyroid.csv')
data.head()

data_c = data
data_c.info()
#data_c[["age","TSH","T3","TT4","T4U","FTI"]].describe(include="all")

from sklearn.preprocessing import LabelEncoder
enc=LabelEncoder()
for x in data.columns:
    data[x]=enc.fit_transform(data[x])
data.info()
data=data.drop_duplicates()
data.info()

data.describe()

import seaborn as sns
import matplotlib.pyplot as plt
sns.countplot(x='binaryClass',data=data)
plt.title("Countplot for target variable");

# Commented out IPython magic to ensure Python compatibility.
import seaborn as sns

# %matplotlib inline
#sns.set(rc={'figure.figsize': [8, 8]}, font_scale=1.2)
sns.set(style='dark',)

sns.displot(data = data, x = "TSH", kde = True, log_scale =False )#,color='purple'

# Commented out IPython magic to ensure Python compatibility.
# consdering positive class alone

import numpy as np
import pandas as pd
data_1=pd.read_csv(r'hypothyroid_p.csv')
#data.head()
from sklearn.preprocessing import LabelEncoder
enc=LabelEncoder()
for x in data_1.columns:
    data_1[x]=enc.fit_transform(data_1[x])
#data.info()
data_1=data_1.drop_duplicates()
#data.info()

data_1.describe()

import seaborn as sns

# %matplotlib inline
#sns.set(rc={'figure.figsize': [8, 8]}, font_scale=1.2)
sns.set(style='dark',)

sns.distplot(data_1['FTI'])#,color='purple'

sns.jointplot( x=data['age'], y=data['TT4'],data=data, hue="binaryClass")

#SMOTE

data['age']=(data['age']-data['age'].min())/(data['age'].max()-data['age'].min())
data['TT4']=(data['TT4']-data['TT4'].min())/(data['TT4'].max()-data['TT4'].min())
data['T4U']=(data['T4U']-data['T4U'].min())/(data['T4U'].max()-data['T4U'].min())
data['FTI']=(data['FTI']-data['FTI'].min())/(data['FTI'].max()-data['FTI'].min())
data.head()

y=data['binaryClass']
x=data.drop(['binaryClass'],axis=1)

from imblearn.over_sampling import SMOTE

smote = SMOTE(random_state=11)
x_smote, y_smote = smote.fit_resample(x, y)

x_smote.to_excel(excel_writer=r'test.xlsx')
y_smote.to_excel(excel_writer=r'testy.xlsx')

import seaborn as sns
import matplotlib.pyplot as plt
data_smote = pd.read_excel('testy.xlsx', index_col=0) 
sns.countplot(x='binaryClass',data=data_smote)
plt.title("Countplot for target variable after resampling");